<?php 
function cp_admin_logs(){

	include ('custom_logs.php');
	foreach($cp_log_types as $key => $values) {
		$shorttypes[$key] = $cp_log_types[$key]['short'];
	}
	if ($_POST['cp_logs_enabled_do'] != '') {
	  $cp_logs_enabled = true;
	  update_option('cp_logs_enabled', $cp_logs_enabled);
	  echo '<div class="updated"><p><strong>'.__('Logs enabled','cp').'.</strong></p></div>';
	}
	
	
  ?>
	<div class="wrap">
	<h2>CubePoints - Logs</h2>
	<?php if (get_option('cp_logs_enabled')) { ?>
	<p><?php _e('Below is a list of most recent transactions.','cp'); ?></p>
	
		<table class="widefat fixed" cellspacing="0">
		<?php
		global $wpdb;
		$results = $wpdb->get_results('SELECT * FROM `'.CPDB.'` ORDER BY id DESC LIMIT 25 ');
		?>
			<thead><tr>
				<th scope="col"><?php _e('User Altered','cp'); ?></th><th scope="col"><?php _e('Amount of Points','cp'); ?></th><th scope="col"><?php _e('Type','cp'); ?></th><th scope="col"><?php _e('From','cp'); ?></th><th scope="col"><?php _e('Time','cp'); ?></th>
			</tr></thead><tfoot><tr>
				<th scope="col"><?php _e('User Altered','cp'); ?></th><th scope="col"><?php _e('Amount of Points','cp'); ?></th><th scope="col"><?php _e('Type','cp'); ?></th><th scope="col"><?php _e('From','cp'); ?></th><th scope="col"><?php _e('Time','cp'); ?></th>
			</tr></tfoot>
			<?php
			foreach($results as $result){
				$type='';
				$source='';
			
				switch ($result->type) {
				case "comment":
					$source = get_comment_link($result->source);
					if($result->points>0){
						$type=__('Comment Posted','cp');
						$source= '<a href="'.$source.'" />Comment #' . $result->source . '</a>';
					} else {
						$type=__('Comment Removed','cp');
						$source= 'Comment #' . $result->source;
					}
					break;
				case "post":
					$source = get_post($result->source);
					if($source->ID!=''){ 
						$source= '<a href="' . $source->guid . '" title="'.$source->post_title.'">Post #'.$source->ID.'</a>' ;}
					else {$source= 'Post #'.$result->source;}
					$type=__('Published Post','cp');
					break;
				case "reg":
					$source_tmp = get_userdata($result->source);
					$source = '<a href="user-edit.php?user_id='.$source_tmp->ID.'">'.$source_tmp->user_login.'</a>';
					$type=__('Registration','cp');
					break;
				case "admin":
					$type=__('Administrative','cp');
					$source_tmp = get_userdata($result->source);
					$source = '<a href="user-edit.php?user_id='.$source_tmp->ID.'">'.$source_tmp->user_login.'</a>';
					break;
				case "reset":
					$type=__('Reset','cp');
					$source_tmp = get_userdata($result->source);
					$source = '<a href="user-edit.php?user_id='.$source_tmp->ID.'">'.$source_tmp->user_login.'</a>';
					break;
				case "donate":
					if($result->points>0){
						$type=__('Donation','cp');
						$source_tmp = $result->source;
						$source_tmp = get_userdata($source_tmp);
						$source = '<a href="user-edit.php?user_id='.$source_tmp->ID.'">'.$source_tmp->user_login.'</a>';
					}
					break;
				default:
					$type=$result->type;
					$key = array_search($type, $shorttypes);
					if (is_int($key)){
						$type = $cp_log_types[$key]['long'];
						if (!function_exists($cp_log_types[$key]['type'])){
							$source = $result->source;
						} else {
							$source = call_user_func($cp_log_types[$key]['type'], $result->source);
						}
					} else { $source = $result->source; }
					break;
				}
				$uid_tmp = get_userdata($result->uid);
				$uid = '<a href="user-edit.php?user_id='.$uid_tmp->ID.'">'.$uid_tmp->user_login.'</a>';
				if($uid!='' && $type!=''){ if($source==''){$source='<i>' . __('unknown','cp') . '</i>'; }
				
				?>
				<tr>
					<td><?php echo $uid; ?></td>
					<td><?php echo $result->points; ?></td>
					<td><?php echo $type; ?></td>
					<td><?php echo $source; ?></td>
					<td title="<?php echo date('Y-m-d H:i:s', $result->timestamp); ?>"><?php echo cp_relativeTime($result->timestamp); ?></td>
				</tr>
			<?php } } ?>
		
		</table>
	<?php } else { ?>


		<p><?php _e('Logs are disabled at the moment.','cp'); ?></p>
		<form method="post" action="<?php echo cp_curPageURL("logs"); ?>">
		<p class="submit" style="padding-top:3px;"><input type="submit" name="cp_logs_enabled_do" value="<?php _e('Enable Logs','cp'); ?>" /></p>
		</form>
	<?php } ?>
	</div>
	<?php
} ?>