<?php
function cp_pointsWidget_init() {

	// widget main
	function cp_pointsWidget($args) {
		extract($args);
		if (is_user_logged_in()) {
			$options = get_option('cp_pointsWidget');
			echo $before_widget;
			echo $before_title . $options['cp_pointsWidget_title'] . $after_title; ?>
			<ul>
				<li><?php echo $options['cp_pointsWidget_text']; ?> : <?php echo cp_displayPoints(); ?></li>
				<li><a href="<?php echo PLUGIN_DIR; ?>cp_donate.php?d=1&width=500&height=200" title="CubePoints - Donate" class="thickbox">Donate Points</a></li>
			</ul>
			<?php echo $after_widget;
		}
	}
	  
	// widget config
	function cp_pointsWidget_config() {
		// Get our options and see if we're handling a form submission.
		$options = get_option('cp_pointsWidget');
		if (!is_array($options)){
			$options = array('cp_pointsWidget_title' => __('My Points','cp'), 'cp_pointsWidget_text' => __('Points','cp'));
		}
		if ($_POST['cp_pointsWidget_submit']) {
			// Remember to sanitize and format use input appropriately.
			$options['cp_pointsWidget_title'] = strip_tags(stripslashes($_POST['cp_pointsWidget_title']));
			$options['cp_pointsWidget_text'] = strip_tags(stripslashes($_POST['cp_pointsWidget_text']));
			update_option('cp_pointsWidget', $options);
		}
		
		// Be sure you format your options to be valid HTML attributes.
		$cp_pointsWidget_title = htmlspecialchars($options['cp_pointsWidget_title'], ENT_QUOTES);
		$cp_pointsWidget_text = htmlspecialchars($options['cp_pointsWidget_text'], ENT_QUOTES);
		
		// Here is our little form segment. Notice that we don't need a
		// complete form. This will be embedded into the existing form.
		echo '<p><label for="cp_pointsWidget_title">' . __('Title','cp') . ':</label> <input type="text" class="widefat" id="cp_pointsWidget_title" name="cp_pointsWidget_title" value="' . $options['cp_pointsWidget_title'] . '"></p>';
		echo '<p><label for="cp_pointsWidget_text">' . __('Text','cp') . ':</label> <input type="text" class="widefat" id="cp_pointsWidget_text" name="cp_pointsWidget_text" value="' . $options['cp_pointsWidget_text'] . '"></p>';
		echo '<input type="hidden" id="cp_pointsWidget_submit" name="cp_pointsWidget_submit" value="1" />';
	}


	//2nd widget
	function cp_topPointsWidget($args) {
		extract($args);
		$options = get_option('cp_topPointsWidget');
		
		echo $before_widget; 
		echo $before_title . $options['cp_topPointsWidget_title'] . $after_title; 
		
		cp_topPointsDisplay($options['cp_topPointsWidget_num']);
		
		echo $after_widget;
	}
	function cp_topPointsWidget_config() {
		// Get our options and see if we're handling a form submission.
		$options = get_option('cp_topPointsWidget');
		
		if (!is_array($options)){
			$options = array('cp_topPointsWidget_title' => __('Top Users','cp'), 'cp_topPointsWidget_num' => 5, 'cp_topPointsWidget_ufilter' => array());
		}
		
		if ($_POST['cp_topPointsWidget_submit']) {
			$options['cp_topPointsWidget_title'] = strip_tags(stripslashes($_POST['cp_topPointsWidget_title']));
			$options['cp_topPointsWidget_num'] = (int) strip_tags(stripslashes($_POST['cp_topPointsWidget_num']));
			if($options['cp_topPointsWidget_num']<1){$options['cp_topPointsWidget_num']=1;}
			$options['cp_topPointsWidget_ufilter'] = processInput($_POST['cp_topPointsWidget_ufilter']);
			
			update_option('cp_topPointsWidget', $options);
			
		}
		
		
		// Be sure you format your options to be valid HTML attributes.
		$cp_topPointsWidget_title = htmlspecialchars($options['cp_topPointsWidget_title'], ENT_QUOTES);
		$cp_topPointsWidget_num = htmlspecialchars($options['cp_topPointsWidget_num'], ENT_QUOTES);
		if(count($options['cp_topPointsWidget_ufilter'])>0){
			$cp_topPointsWidget_ufilter_text = implode(", ",$options['cp_topPointsWidget_ufilter']);
		} else {
			$cp_topPointsWidget_ufilter_text = '';
		}
		
		// Here is our little form segment. Notice that we don't need a
		// complete form. This will be embedded into the existing form.
		echo '<p><label for="cp_topPointsWidget_title">' . __('Title','cp') . ':</label> <input type="text" class="widefat" id="cp_topPointsWidget_title" name="cp_topPointsWidget_title" value="' . $options['cp_topPointsWidget_title'] . '"></p>';
		echo '<p><label for="cp_topPointsWidget_num">' . __('Number of users to list','cp') . ':</label> <input type="text" class="widefat" id="cp_topPointsWidget_num" name="cp_topPointsWidget_num" value="' . $options['cp_topPointsWidget_num'] . '"></p>';
		echo '<p><label for="cp_topPointsWidget_ufilter">' . __('Hide the following users','cp') . ':</label> <textarea class="widefat" id="cp_topPointsWidget_ufilter" name="cp_topPointsWidget_ufilter" value="1">'.$cp_topPointsWidget_ufilter_text.'</textarea></p>';	  echo '<input type="hidden" id="cp_topPointsWidget_submit" name="cp_topPointsWidget_submit" value="1" />';
	}
	
	//Hooks
	register_sidebar_widget('CubePoints', 'cp_pointsWidget');
	register_widget_control('CubePoints', 'cp_pointsWidget_config');
	register_sidebar_widget('CubePoints Top Users', 'cp_topPointsWidget');
	register_widget_control('CubePoints Top Users', 'cp_topPointsWidget_config');

}
?>
